High Prefect Took:
Raiders are superb fighters who fight powerfully with weapons. They rely on their pure power and skill to win, not on tactical tricks. Raiders are the most consistent fighters on the battlefield. Their power overwhelms the skills of their enemies.
The most skillful Raiders are later selected as Destroyers. One to one, Destroyers surpass all other Fighters.
Ask about changing professions to an Raider
Change profession to an Raider
Return